// Computergraphik I
// Prof. Dr. Juergen Doellner
// Sommersemester 2001
// 
// Rahmenprogramm fuer Aufgabenzettel 3

// Stephan Brumme, 702544
// last changes: May 12, 2001

#ifndef CG_RASTER_H
#define CG_RASTER_H

#include "cgapplication.h"

class CGRaster {
public:
    CGRaster(int width, int height);
    ~CGRaster();

    int width() const;
    int height() const;

    void clear();

    bool getPixel(int x, int y) const;
    void setPixel(int x, int y);

    void draw() const;

	enum 
	{
		MAXWIDTH  = 100,
		MAXHEIGHT = 100
	};

private:
    // Attribute fuer width, height und
    // den bool-Array    
	int m_nWidth;
	int m_nHeight;
	
	bool* m_arBuffer;
};

#endif // CG_RASTER_H
